- merged 2.58.0 from PLD
[packages/glib-networking.git] / glib-networking.spec
index fedeecbe91540d3a5afc8f29314af45593a6c782..1286c4ce7eb2d81221f4827cb87b172e6c23bf8b 100644 (file)
@@ -1,32 +1,36 @@
+#
+# Conditional build:
+%bcond_with    pkcs11  # PKCS#11 support using p11-kit
+
 Summary:       Networking support for GLib
 Summary(pl.UTF-8):     Obsługa sieci dla GLiba
 Name:          glib-networking
-Version:       2.54.0
+Version:       2.58.0
 Release:       1
 License:       LGPL v2
 Group:         Libraries
-Source0:       http://ftp.gnome.org/pub/GNOME/sources/glib-networking/2.54/%{name}-%{version}.tar.xz
-# Source0-md5: 45d2f8b650412c05e45b08aa78a3f735
+Source0:       http://ftp.gnome.org/pub/GNOME/sources/glib-networking/2.58/%{name}-%{version}.tar.xz
+# Source0-md5: 75b14b7e73a67753be9ce307751c661d
 URL:           http://www.gnome.org/
-BuildRequires: autoconf >= 2.65
-BuildRequires: automake >= 1:1.11
 BuildRequires: gettext-tools >= 0.19.4
-BuildRequires: glib2-devel >= 1:2.46.0
-BuildRequires: gnutls-devel >= 3.0
+BuildRequires: glib2-devel >= 1:2.55.1
+BuildRequires: gnutls-devel >= 3.4.4
 BuildRequires: gsettings-desktop-schemas-devel
 BuildRequires: libproxy-devel >= 0.3.1
-BuildRequires: libtool >= 2:2.0
-BuildRequires: p11-kit-devel >= 0.8
+BuildRequires: meson >= 0.46.0
+BuildRequires: ninja
+%{?with_pkcs11:BuildRequires:  p11-kit-devel >= 0.20}
 BuildRequires: pkgconfig
+BuildRequires: rpmbuild(macros) >= 1.727
 BuildRequires: tar >= 1:1.22
 BuildRequires: xz
-Requires(post,postun): glib2 >= 1:2.46.0
+Requires(post,postun): glib2 >= 1:2.55.1
 Requires:      ca-certificates
-Requires:      glib2 >= 1:2.46.0
-Requires:      gnutls >= 3.0
+Requires:      glib2 >= 1:2.55.1
+Requires:      gnutls >= 3.4.4
 Requires:      gsettings-desktop-schemas
 Requires:      libproxy >= 0.3.1
-Requires:      p11-kit >= 0.8
+%{?with_pkcs11:Requires:       p11-kit >= 0.20}
 BuildRoot:     %{tmpdir}/%{name}-%{version}-root-%(id -u -n)
 
 %description
@@ -43,24 +47,17 @@ implementację GTlsConnection opartą na gnutls.
 %setup -q
 
 %build
-%{__libtoolize}
-%{__aclocal}
-%{__autoconf}
-%{__autoheader}
-%{__automake}
-%configure \
-       --disable-silent-rules \
-       --disable-static \
-       --with-ca-certificates=/etc/certs/ca-certificates.crt
-%{__make}
+%meson build \
+       -Dca_certificates_path=/etc/certs/ca-certificates.crt \
+       -Dinstalled_tests=false \
+       %{?with_pkcs11:-Dpkcs11_support=true}
+
+%meson_build -C build
 
 %install
 rm -rf $RPM_BUILD_ROOT
 
-%{__make} install \
-       DESTDIR=$RPM_BUILD_ROOT
-
-%{__rm} $RPM_BUILD_ROOT%{_libdir}/gio/modules/*.la
+%meson_install -C build
 
 %find_lang %{name}
 
@@ -77,8 +74,8 @@ umask 022
 
 %files -f %{name}.lang
 %defattr(644,root,root,755)
-%doc AUTHORS ChangeLog NEWS README
-%attr(755,root,root) %{_libdir}/glib-pacrunner
+%doc NEWS README
+%attr(755,root,root) %{_libexecdir}/glib-pacrunner
 %attr(755,root,root) %{_libdir}/gio/modules/libgiognutls.so
 %attr(755,root,root) %{_libdir}/gio/modules/libgiolibproxy.so
 %attr(755,root,root) %{_libdir}/gio/modules/libgiognomeproxy.so